org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.dumpprocessors

## Class ToFileDumpProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.dumpprocessors.ToFileDumpProcessor

    public class ToFileDumpProcessor
    extends Object

### Field Summary

Fields
`static DateTimeFormatter` `DATE_FMT` Date format.
`static String` `PREFIX_NAME` File name prefix.

### Constructor Summary

Constructors
Constructor and Description
`ToFileDumpProcessor()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `toFileDump(SharedPageLockTrackerDump pageLockDump, Path dir, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DATE_FMT

    public static final DateTimeFormatter DATE_FMT

Date format.

#### PREFIX_NAME

    public static final String PREFIX_NAME

File name prefix.

See Also:
  Constant Field Values

### Constructor Detail

#### ToFileDumpProcessor

    public ToFileDumpProcessor()

### Method Detail

#### toFileDump

    public static String toFileDump(SharedPageLockTrackerDump pageLockDump,
                                    Path dir,
                                    String name)
                             throws IgniteCheckedException

Parameters:
  `pageLockDump` - Dump.
  `dir` - Directory to save.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023